summaryrefslogtreecommitdiffstats
path: root/source/l/pcre/pcre.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/pcre/pcre.SlackBuild')
-rwxr-xr-xsource/l/pcre/pcre.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/source/l/pcre/pcre.SlackBuild b/source/l/pcre/pcre.SlackBuild
index 0b5893504..06bd7c77f 100755
--- a/source/l/pcre/pcre.SlackBuild
+++ b/source/l/pcre/pcre.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=pcre
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -60,7 +60,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf pcre-$VERSION
-tar xvf $CWD/pcre-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/pcre-$VERSION.tar.?z* || exit 1
cd pcre-$VERSION
chown -R root:root .
@@ -73,10 +73,12 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
- --enable-utf8 \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --mandir=/usr/man
+ --mandir=/usr/man \
+ --enable-utf8 \
+ --enable-unicode-properties \
+ --build=$ARCH-slackware-linux
CFLAGS="$SLKCFLAGS" make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1